Subject: bug#19219: Package names with digits following dashes

From: [email-masked] (Ludovic Courtès)
Date: Thu, 10 Dec 2015 14:36:26 +0100

Mathieu Lirzin <[email-masked]> skribis:

> I had the same issue when trying to create a package named
> 'rxvt-unicode-256-color'.  I have tried to fix
> ‘package-name->name+version’ by matching the last hyphen and check if
> the next character is a number.

Sounds like a reasonable approach (better than what I submitted), but we
would need test for the various corner cases.  Could you augment the
test that’s in tests/utils.scm?

> The result was a fail attempt to rebuild the earth:

This is because everything depends on (guix build utils).

But we’re right in time to make this change in ‘core-updates’.

Thanks!

Ludo’.